package com.mbridge.sdk.demo;

import android.content.Intent;
import android.os.Build;
import android.view.View;
import android.widget.Button;
import android.widget.RelativeLayout;

import com.mbridge.sdk.demo.util.SplashHelper;

public class SplashActivity extends BaseActivity implements View.OnClickListener {
    private static String TAG = "BSplashActivity";

    private Button preLoadBtn;
    private Button loadAndShowBtn;
    private Button showBtn;
    private String unitId= "209547";
    private String placement = "173349";
    private RelativeLayout relativeLayout;
    public static int ZOOM_OUT_REQUEST_CODE = 200;

    @Override
    public int getResLayoutId() {
        return R.layout.mbridge_demo_splash_activity;
    }

    @Override
    public void initView() {
        preLoadBtn = findViewById(R.id.mbridge_demo_splash_ac_preload);
        loadAndShowBtn = findViewById(R.id.mbridge_demo_splash_ac_load_show);
        showBtn = findViewById(R.id.mbridge_demo_splash_ac_show);
        relativeLayout = findViewById(R.id.mbridge_demo_splash_ac_container);
    }

    @Override
    public void initData() {
        SplashHelper.getInstance().init(this,placement,unitId);
    }

    @Override
    public void setListener() {
        SplashHelper.getInstance().setListener();
        preLoadBtn.setOnClickListener(this);
        loadAndShowBtn.setOnClickListener(this);
        showBtn.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.mbridge_demo_splash_ac_load_show:
                SplashHelper.getInstance().loadAndShow(SplashActivity.this);
                break;
            case R.id.mbridge_demo_splash_ac_preload:
                SplashHelper.getInstance().preload();
                break;
            case R.id.mbridge_demo_splash_ac_show:
                SplashHelper.getInstance().show(SplashActivity.this);
                break;
        }
    }




    @Override
    protected void onResume() {
        super.onResume();
        SplashHelper.getInstance().onResume();
    }

    @Override
    protected void onPause() {
        super.onPause();
        SplashHelper.getInstance().onPause();
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if(requestCode == ZOOM_OUT_REQUEST_CODE && resultCode == RESULT_OK && Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT){
            SplashHelper.getInstance().showZoomOut(this,relativeLayout);
        }
    }
}
