package com.mbridge.sdk.demo;

import android.content.Intent;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.widget.RelativeLayout;

import androidx.annotation.NonNull;

import com.mbridge.sdk.demo.util.SplashHelper;

public class SplashShowActivity extends BaseActivity{
    private static String TAG = "BSplashActivity";


    private RelativeLayout container;
    private int countDownTime = 5;
    private int loadTimeOut = 30;
    private String mUnitId;
    private int type;
    private String token;


    @Override
    public int getResLayoutId() {
        return R.layout.mbridge_demo_splash_show_activity;
    }

    @Override
    public void initView() {
        container = findViewById(R.id.mbridge_demo_splash_ac_container);
    }

    @Override
    public void initData() {
        try {
            Intent intent = getIntent();
            mUnitId = intent.getStringExtra(SplashHelper.PARAMS_UNIT_ID);
            countDownTime = intent.getIntExtra(SplashHelper.PARAMS_COUNT_DOWN_TIME,5);
            loadTimeOut = intent.getIntExtra(SplashHelper.PARAMS_LOAD_TIME_OUT,30);
            type = intent.getIntExtra(SplashHelper.PARAMS_TYPE,0);
            token = intent.getStringExtra(SplashHelper.PARAMS_TOKEN);

        } catch (Exception e) {
            e.printStackTrace();
        }
        show();
    }

    @Override
    public void setListener() {

    }

    private void show(){
        SplashHelper.getInstance().show(this,type,token,container);
    }


    @Override
    protected void onResume() {
        super.onResume();
        SplashHelper.getInstance().onResume();
    }

    @Override
    protected void onPause() {
        super.onPause();
        SplashHelper.getInstance().onPause();
    }

    @Override
    public void onConfigurationChanged(@NonNull Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        SplashHelper.getInstance().updateSplashView(this,container);
    }
    @Override
    protected void onDestroy() {
        super.onDestroy();
        SplashHelper.getInstance().onDestroy();
    }

    public static Bitmap imageScale(Bitmap bitmap, int dst_w, int dst_h) {
        int src_w = bitmap.getWidth();
        int src_h = bitmap.getHeight();
        float scale_w = ((float) dst_w) / src_w;
        float scale_h = ((float) dst_h) / src_h;
        Matrix matrix = new Matrix();
        matrix.postScale(scale_w, scale_h);
        Bitmap dstbmp = Bitmap.createBitmap(bitmap, 0, 0, src_w, src_h, matrix, true);
        return dstbmp;
    }
}
