package com.mbridge.sdk.demo.bid;

import android.content.Intent;
import android.os.Build;
import android.view.View;
import android.widget.Button;
import android.widget.RelativeLayout;

import com.mbridge.sdk.demo.BaseActivity;
import com.mbridge.sdk.demo.R;
import com.mbridge.sdk.demo.util.SplashHelper;

import static com.mbridge.sdk.demo.SplashActivity.ZOOM_OUT_REQUEST_CODE;

public class BidSplashActivity extends BaseActivity implements View.OnClickListener {
    private static String TAG = "BidSplashActivity";

    private Button preLoadBtn;
    private Button loadAndShowBtn;
    private Button showBtn;
    private Button bidBtn;
    private RelativeLayout relativeLayout;
    private String unitId= "209547";
    private String placement = "173349";



    @Override
    public int getResLayoutId() {
        return R.layout.mbridge_demo_splash_bid_activity;
    }

    @Override
    public void initView() {
        bidBtn = findViewById(R.id.mbridge_demo_splash_ac_bid);
        preLoadBtn = findViewById(R.id.mbridge_demo_splash_ac_preload);
        loadAndShowBtn = findViewById(R.id.mbridge_demo_splash_ac_load_show);
        showBtn = findViewById(R.id.mbridge_demo_splash_ac_show);
        relativeLayout = findViewById(R.id.mbridge_demo_splash_ac_container);
    }

    @Override
    public void initData() {
        try {
            SplashHelper.getInstance().init(this,placement,unitId);
            SplashHelper.getInstance().initBidManager(placement,unitId);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void setListener() {
        SplashHelper.getInstance().setListener();
        bidBtn.setOnClickListener(this);
        preLoadBtn.setOnClickListener(this);
        loadAndShowBtn.setOnClickListener(this);
        showBtn.setOnClickListener(this);
    }

    @Override
    protected void onResume() {
        super.onResume();
        SplashHelper.getInstance().onResume();
    }

    @Override
    protected void onPause() {
        super.onPause();
        SplashHelper.getInstance().onPause();
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.mbridge_demo_splash_ac_bid:
                SplashHelper.getInstance().bid();
                break;
            case R.id.mbridge_demo_splash_ac_load_show:

                SplashHelper.getInstance().loadAndShowBid(BidSplashActivity.this);
                break;
            case R.id.mbridge_demo_splash_ac_preload:
                SplashHelper.getInstance().preloadBid();
                break;
            case R.id.mbridge_demo_splash_ac_show:
                SplashHelper.getInstance().showBid(BidSplashActivity.this);
                break;
        }
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if(requestCode == ZOOM_OUT_REQUEST_CODE && resultCode == RESULT_OK&& Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT){
            SplashHelper.getInstance().showZoomOut(this,relativeLayout);
        }
    }
}
